//Ce programme permet d'allumer une LED

//Niveau 1 : Brancher la LED sur la bonne broche, téléverser le programme et on espère que ça s'allume :)
//Niveau 2 : Si ça marche, modifier le programme de sorte à changer la sortie de la LED, par exemple sur la broche 5... Enregistrer et tester !
//Niveau 3 : Si ça marche, modifier le programme de sorte à remplacer la LED par un buzzer. Enregistrer et tester !

const int LedRouge = 2;                   //Crée une "variable" nommée "LedRouge" de type "entier" (int) de valeur égale à 2

void setup() {                            //Dans la "fonction" setup() on initialise les entrées/sorties utilisées sur la carte Arduino
  pinMode(LedRouge, OUTPUT);              //La "fonction" pinMode() permet d'indiquer à la carte qu'une broche sera utilisée comme entrée ou sortie, ici elle définit la broche n°2 (valeur de LedRouge) comme une sortie (OUTPUT) broche  
  Serial.begin(9600);                     //définit le débit de données en bits par seconde (bauds) pour la transmission de données en série. Pas toujours nécessaire mais la mettre par défaut évite des erreurs...
}

void loop() {                             //Après initialisation des entrées/sorties dans la fonction setup(), la "fonction" loop() est lue ensuite en boucle par le microcontrôleur
  digitalWrite(LedRouge, HIGH);           //La "fonction" digitalWrite() met la broche dans un état allumé ou éteint, ici la sortie n°2 est mise dans l'état allumé (HIGH), la LED s'allume
}
